﻿@page "/poster"
@inject CRSService DataRetrieve
@{
    shows = DataRetrieve.GetDataRowsAsync(show).Result;
}
<header><h1>Афиша</h1></header>
@foreach (string show in shows)
{
    <div class="poster">

        <header style="background-color:rgba(10, 0, 255, 0.70); color: whitesmoke">
            <h1>@show.Split('\t')[1]</h1>
        </header>
        <div class="red">
            <img class="float-right" src="PosterImg/@show.Split('\t')[6]" />
            <p align="left">
                <h3>Жанр: @show.Split('\t')[2]</h3>
                <h3>Продождительность: @show.Split('\t')[3]</h3>
                <h3>Режиссер-постановщик: @show.Split('\t')[5]</h3>
                @show.Split('\t')[4]
            </p>
        </div>
    </div>
}
@code{
    ObservableCollection<string> shows;
    MySqlCommand show = new MySqlCommand("SELECT * FROM theatre.`show`");
}

